Page MenuHomePhabricator

Improve keyboard navigation on AdvancedSearch
Closed, ResolvedPublic

Description

Currently it's not possible to tab to the Advanced parameters: expander to expand the additional options.

Proposed improvements:

  • Autofocus main search field, especially when coming from a submitted search
  • Allow tabbing to the Advanced parameters: button
  • Figure and fix how to deal with 'search pils' here
  • Allow uncollapsing the advanced parameters by keyboard action
  • Maybe: Change tab order on advanced search fields, so help icons will be selected after the input field selection
  • Maybe: Allow an additional way to submit the form at the very end

Edit: Tab order task moved to T182125

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 22 2017, 4:12 PM

Change 392874 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/AdvancedSearch@master] Allow basic keyboard interaction with AdvancedSearch pane

https://gerrit.wikimedia.org/r/392874

Change 393192 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/AdvancedSearch@master] Set autofocus for AdvancedSearch field

https://gerrit.wikimedia.org/r/393192

Lea_WMDE moved this task from Backlog to Text stuff on the Advanced-Search board.Nov 24 2017, 12:09 PM

Change 393192 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Set autofocus for AdvancedSearch field

https://gerrit.wikimedia.org/r/393192

Change 392874 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Allow basic keyboard interaction with AdvancedSearch pane

https://gerrit.wikimedia.org/r/392874

Why not just use a normal ButtonWidget? It already does all the accessibility stuff. https://gerrit.wikimedia.org/r/#/c/393954/

Maybe: Change tab order on advanced search fields, so help icons will be selected after the input field selection

Yes please, this was very annoying for me. You might want to upstream your overrides of the FieldLayout design to OOjs UI – I think putting the help icons after the label and field is a better idea than between them, like we currently do.

WMDE-Fisch closed this task as Resolved.Dec 5 2017, 4:51 PM
WMDE-Fisch updated the task description. (Show Details)
WMDE-Fisch moved this task from Doing to Done on the WMDE-QWERTY-Sprint-2017-11-28 board.